> ## Documentation Index
> Fetch the complete documentation index at: https://developers.untetherlabs.com/llms.txt
> Use this file to discover all available pages before exploring further.

#  Create Appointment



## OpenAPI

````yaml /openapi.json post /v1/appointments
openapi: 3.1.0
info:
  version: 1.0.0
  title: Untether Labs API
servers:
  - url: https://app.untetherlabs.com/api
    description: Untether Labs Production API
    x-speakeasy-server-id: production
security:
  - BearerAuth: []
paths:
  /v1/appointments:
    post:
      summary: ' Create Appointment'
      operationId: v1_appointments_createAppointment
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAppointmentRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Appointment'
        '400':
          description: >-
            We follow the
            [RFC-9457](https://www.rfc-editor.org/rfc/rfc9457.html) Problem
            Detail specification for error responses.


            Errors should be identified by their `type` field. You can view
            extensions for each error response below.
          content:
            application/problem+json:
              schema:
                oneOf:
                  - allOf:
                      - type: object
                        properties:
                          type:
                            type: string
                          status:
                            type: integer
                            description: Always the HTTP status code of the response
                            example: 400
                          title:
                            type: string
                            description: >-
                              A short, human-readable summary of the problem
                              type
                          detail:
                            type: string
                            description: >-
                              A human-readable explanation specific to this
                              occurrence of the problem
                            example: >-
                              The specified provider does not satisfy the skill
                              requirements for this shift.
                        required:
                          - type
                          - status
                          - title
                      - type: object
                        properties:
                          path:
                            type: string
                          message:
                            type: string
                          type:
                            type: string
                            enum:
                              - >-
                                https://developers.untetherlabs.com/errors#validation
                          title:
                            type: string
                            example: Input validation failed.
                        required:
                          - message
                          - type
                          - title
                    title: Validation
components:
  schemas:
    CreateAppointmentRequest:
      type: object
      properties:
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        type:
          type: string
          description: Appointment type, company specific
          example: video
        status:
          $ref: '#/components/schemas/AppointmentStatus'
          default: upcoming
        providerId:
          type: string
          format: uuid
        memberId:
          type:
            - string
            - 'null'
        startDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        endDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        actualStartDate:
          type:
            - string
            - 'null'
          example: 2024-11-20T07:43:34+0000
        actualEndDate:
          type:
            - string
            - 'null'
          example: 2024-11-20T07:43:34+0000
        location:
          type:
            - string
            - 'null'
        cancellationDate:
          type:
            - string
            - 'null'
          description: Only present when status = `cancelled`
          example: 2024-11-20T07:43:34+0000
        cancellationReason:
          type:
            - string
            - 'null'
          description: Only present when status = `cancelled`
      required:
        - type
        - providerId
        - startDate
        - endDate
      id: CreateAppointmentRequest
      x-speakeasy-group: v1.appointments
    Appointment:
      type: object
      properties:
        id:
          type: string
          format: uuid
        createdAt:
          type: string
          example: 2024-11-20T07:43:34+0000
        type:
          type: string
          description: Appointment type, company specific
          example: video
        status:
          $ref: '#/components/schemas/AppointmentStatus'
        providerId:
          type: string
          format: uuid
        memberId:
          type:
            - string
            - 'null'
        startDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        endDate:
          type: string
          example: 2024-11-20T07:43:34+0000
        actualStartDate:
          type:
            - string
            - 'null'
          example: 2024-11-20T07:43:34+0000
        actualEndDate:
          type:
            - string
            - 'null'
          example: 2024-11-20T07:43:34+0000
        location:
          type:
            - string
            - 'null'
        cancellationDate:
          type:
            - string
            - 'null'
          description: Only present when status = `cancelled`
          example: 2024-11-20T07:43:34+0000
        cancellationReason:
          type:
            - string
            - 'null'
          description: Only present when status = `cancelled`
      required:
        - id
        - createdAt
        - type
        - status
        - providerId
        - memberId
        - startDate
        - endDate
        - actualStartDate
        - actualEndDate
        - location
        - cancellationDate
        - cancellationReason
      id: Appointment
      x-speakeasy-group: v1.appointments
    AppointmentStatus:
      type: string
      enum:
        - upcoming
        - occurred
        - cancelled
        - no-show
        - re-scheduled
      x-fern-enum:
        upcoming: {}
        occurred: {}
        cancelled: {}
        no-show: {}
        re-scheduled: {}
      id: AppointmentStatus
      x-speakeasy-group: v1.appointments
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````